Bug 1411947 - Review Request: python-glusterfs-api - Python bindings for GlusterFS libgfapi
Summary: Review Request: python-glusterfs-api - Python bindings for GlusterFS libgfapi
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 19:51 UTC by Kaleb KEITHLEY
Modified: 2019-11-22 15:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-22 15:33:12 UTC
Type: ---
puiterwijk: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1193474 'high' 'CLOSED' 'Package libgfapi-python for its consumers' 2019-11-22 15:32:57 UTC

Internal Links: 1193474

Description Kaleb KEITHLEY 2017-01-10 19:51:15 UTC
Spec URL: https://fedorapeople.org/~kkeithle/python-glusterfs-api/python-glusterfs-api.spec
SRPM URL: https://fedorapeople.org/~kkeithle/python-glusterfs-api/python-glusterfs-api-1.1-1.fc25.src.rpm
Description: libgfapi is a library that allows applications to natively access GlusterFS
volumes. This package contains python bindings to libgfapi.
Fedora Account System Username: kkeithle

Comment 1 Prashanth Pai 2017-01-16 05:15:31 UTC
The spec LGTM.

Note: Currently, the python bindings is compatible only with Python 2.x series.

Comment 2 Patrick Uiterwijk 2017-01-18 14:19:06 UTC
Unless Prashanth wants to do the official review, I can take this up.

Comment 3 Patrick Uiterwijk 2017-01-18 14:43:32 UTC
You need to add a BuildRequires: python2-devel, and the setuptools BR also should be python2-setuptools. First is needed to actually build.

Comment 4 Patrick Uiterwijk 2017-01-18 15:03:54 UTC
There are a few issues, but other than the package naming none of it is blocking.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== Issues =====

- rm -rf %{buildroot} in %install
  This can be removed
- Package naming
  In Fedora, python packages are supposed to be named after the runtime
  version. So you should do a %package -n python2-glusterfs-api.
  Do make sure to add the %{python_provide} tag under that to make sure it gets Provides: python-glusterfs-api while python2 is the main python implementation.
- No Vendor tag
  Vendor tag present.
- Rpmlint
  The results can be ignored as they're just words it doesn't know.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Vendor: Gluster Community
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Rpmlint is run on all installed packages.


Rpmlint
-------
Checking: python-glusterfs-api-1.1-1.fc26.noarch.rpm
          python-glusterfs-api-1.1-1.fc26.src.rpm
python-glusterfs-api.noarch: W: spelling-error Summary(en_US) libgfapi -> libation
python-glusterfs-api.noarch: W: spelling-error %description -l en_US libgfapi -> libation
python-glusterfs-api.noarch: W: spelling-error %description -l en_US natively -> naively, negatively, tentatively
python-glusterfs-api.src: W: spelling-error Summary(en_US) libgfapi -> libation
python-glusterfs-api.src: W: spelling-error %description -l en_US libgfapi -> libation
python-glusterfs-api.src: W: spelling-error %description -l en_US natively -> naively, negatively, tentatively
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python-glusterfs-api.noarch: W: spelling-error Summary(en_US) libgfapi -> libation
python-glusterfs-api.noarch: W: spelling-error %description -l en_US libgfapi -> libation
python-glusterfs-api.noarch: W: spelling-error %description -l en_US natively -> naively, negatively, tentatively
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
python-glusterfs-api (rpmlib, GLIBC filtered):
    glusterfs-api
    python(abi)
    python-gluster



Provides
--------
python-glusterfs-api:
    python-glusterfs-api
    python2.7dist(gfapi)
    python2dist(gfapi)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/g/gfapi/gfapi-1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 939d06fca6be06cd4b71c3be55e55323c138a81ab91b2b774ca574fe50041c73
  CHECKSUM(SHA256) upstream package : 939d06fca6be06cd4b71c3be55e55323c138a81ab91b2b774ca574fe50041c73


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review --name python-glusterfs-api
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Patrick Uiterwijk 2017-01-19 04:28:24 UTC
All my issues have been resolved, so this package is APPROVED.

Comment 6 Fedora Update System 2017-01-19 14:30:14 UTC
python-glusterfs-api-1.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5e608cb08

Comment 7 Fedora Update System 2017-01-19 14:38:49 UTC
python-glusterfs-api-1.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9ead369aad

Comment 8 Fedora Update System 2017-01-20 19:21:08 UTC
python-glusterfs-api-1.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9ead369aad

Comment 9 Fedora Update System 2017-01-20 19:55:48 UTC
python-glusterfs-api-1.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5e608cb08

Comment 10 Fedora Update System 2017-01-29 00:20:25 UTC
python-glusterfs-api-1.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-01-29 00:49:23 UTC
python-glusterfs-api-1.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.